JavaZOOM Web Site
  Software
  
Installation
  
Configuration
  
API & Design
  
License
<< back

- Software -

Download4J is a JAVA JSP/Servlets component. Here are the three requirements you need to run it :

 Servlet Engine or Application Server compliant JSP1.1/Servlets2.2 API (or higher).
 JVM 1.2 or higher.
 Browser (Internet Explorer 4.x or higher, Netscape 4.x or higher, Mozilla, Opera ...).
 Optionally a database.

Download4J only needs HTTP to communicate between server-side (servlet engine) and client-side (browser).

Download4J should run under ANY platform supporting JSP1.1/Servlets 2.2 or J2EE 1.2 (or higher).

Tested platforms :

Servlet Engine WebServer  Database JVM OS
Tomcat 5.0.19 Tomcat 5.0.19 MySQL 4.0.x
(+ConnectorJ driver)
SUN - 1.4 Win32
Tomcat 4.1.30 Tomcat 4.1.30 - SUN - 1.4 Win32
Tomcat 4.0.3 Tomcat 4.0.3 Oracle 8.1.6
(+Type 4 Thin driver)
SUN - 1.3.1_B4 Win32
Tomcat 4.1.18-LE Tomcat 4.1.18-LE Oracle 9.0.1
(+Type 4 Thin driver)
SUN - 1.4_01 Win32
Tomcat 3.3.1 Apache 1.3.22 - SUN - 1.3 Solaris 2.7
Resin 2.1.2 Resin 2.1.2 MySQL 3.23.51
(+Type 4 mm2 driver)
SUN - 1.3.1_03 Win32
JRun 4.0 JRun 4.0 - SUN - 1.3.1_03 Win32
Weblogic 6.1 WebLogic 6.1 - SUN - 1.3.1 Win32
WebSphereAE 4.0.3 IBM HTTP server 1.3.19 IBM DB2 UDB 7.2
(+Type 2 IBM driver)
IBM - 1.3 Win32
WebSphere 5.0 WebSphere 5.0 -  IBM - 1.3 Win32
Orion 1.5.4 Orion 1.5.4 - SUN - 1.3.1 Win32
Oracle10g AS Oracle10g AS - SUN - 1.4.1 Win32

Much more tests to come ...

Note : Download4J includes Xerces 2.5 (XML parser).

[News] [Applets] [Servlets] [Services] [Projects] [Links] [About]

Copyright © JavaZOOM 1999-2004

Java and all Java-based marks are trademarks or registered trademarks of Sun Microsystems, Inc. in the U. S. and other countries.
All other company and/or product names are the property of their respective owners.